%global momorel 7

Summary:	Template-Toolkit module for perl 
Name:		perl-Template-Toolkit
Version:	2.22
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/authors/id/A/AB/ABW/Template-Toolkit-%{version}.tar.gz 
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/Template/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl >= 1:5.8.1
BuildRequires:	perl-AppConfig
BuildRequires:	perl-File-HomeDir >= 0.58
BuildRequires:	perl-Pod-POM
Requires:	perl-POE >= 0.38
Requires:	perl-Text-Autoformat

%description
Template-Toolkit module for perl

%prep
%setup -q -n Template-Toolkit-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor TT_DBI=n TT_XS_ENABLE=y TT_ACCEPT=y
make TT_PREFIX="%{_datadir}/tt2"


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot} TT_PREFIX="%{buildroot}%{_datadir}/tt2"
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f
find %{buildroot} -type f -name '*.bs' -a -empty -delete || :
find %{buildroot} -depth -type d -a -empty -delete || :

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Template-Toolkit-%{version}-filelist
if [ "$(cat Template-Toolkit-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f Template-Toolkit-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.22-7m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22-5m)
- rebuild against perl-5.12.0

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22-4m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.22-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22-2m)
- rebuild against perl-5.10.1

* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.22-1m)
- update to 2.22

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.20-2m)
- rebuild against rpm-4.6

* Tue Aug 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.20-1m)
- update to 2.20

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.19-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.19-2m)
- %%NoSource -> NoSource

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.19-1m)
- update to 2.19

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.18-2m)
- use vendor

* Sat Feb 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.18-1m)
- update to 2.18

* Fri Feb  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.17-1m)
- update to 2.17

* Wed Jan 24 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.16-1m)
- update to 2.16

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.15-1m)
- spec file was autogenerated
